%define pkg_name        Parse-Syslog
%define pkg_version     1.09
%define rpm_pkg_version 1.09
%define rpm_pkg_release 2.n0i.3

Summary:       Parse Unix syslog files
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DS/DSCHWEI/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Parse::Syslog presents a simple interface to parse syslog files: you create
a parser on a file (with new) and call next to get one line at a time with
Unix-timestamp, host, program, pid and text returned in a hash-reference.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.09-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Fri Feb 03 2006 Marius Feraru <altblue@n0i.net> - 1.09-1.n0i.2
- version 1.09

* Tue Jul 26 2005 Marius Feraru <altblue@n0i.net> 1.03-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
